Package org.apache.commons.math3.genetics

# Class BinaryMutation

java.lang.Object
org.apache.commons.math3.genetics.BinaryMutation

All Implemented Interfaces:
  `MutationPolicy`

public class BinaryMutation extends Object implements MutationPolicy
Mutation for `BinaryChromosome`s. Randomly changes one gene.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`BinaryMutation()`

## Method Summary

Modifier and Type
Method
Description
`Chromosome`
`mutate(Chromosome original)`
Mutate the given chromosome.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryMutation

public BinaryMutation()

## Method Details

### mutate

public Chromosome mutate(Chromosome original) throws MathIllegalArgumentException
Mutate the given chromosome. Randomly changes one gene.

Specified by:
  `mutate` in interface `MutationPolicy`
Parameters:
  `original` - the original chromosome.
Returns:
  the mutated chromosome.
Throws:
  `MathIllegalArgumentException` - if `original` is not an instance of `BinaryChromosome`.